"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-310/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B49D0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B4A60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B4AF0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B4B80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B4C10>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B4CA0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B4D30>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B4DC0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B4E50>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B4EE0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B4F70>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5000>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5090>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5120>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B51B0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5240>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B52D0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5360>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B53F0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5480>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5510>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B55A0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5630>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B56C0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B57E0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5750>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5870>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5900>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5990>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5A20>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5AB0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5B40>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5BD0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5C60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5CF0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5D80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5E10>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5EA0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5F30>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B5FC0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6050>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B60E0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6170>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6200>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6290>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6320>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B63B0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6440>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B64D0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6560>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B65F0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6680>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6710>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B67A0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6830>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B68C0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6950>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B69E0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6A70>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6B00>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6B90>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6C20>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6CB0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6D40>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6DD0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6F80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B6E60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B7010>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B70A0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B7130>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B71C0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B7250>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B7370>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B72E0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B7400>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B7490>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B7520>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B7640>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B75B0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B76D0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B7760>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B77F0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B7880>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B7910>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x00000285AF4B79A0>)]
name: str = 'fr_HOCCN'
